Bug 1418722 - [GSS] (6.4.z) SingleLogoutService from the sp-metadata.xml file is not used when browser is redirected to the idp
Summary: [GSS] (6.4.z) SingleLogoutService from the sp-metadata.xml file is not used w...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: PicketLink
Version: 6.4.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jiri Ondrusek
QA Contact: Josef Cacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 15:06 UTC by dhorton
Modified: 2020-03-11 15:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-24 13:27:14 UTC
Type: Bug


Attachments (Terms of Use)

Description dhorton 2017-02-02 15:06:15 UTC
Description of problem:

SingleLogoutService from the sp-metadata.xml file is not used when browser is redirected to the idp.

PicketLink takes the value from the SingleLogoutService tag and puts it in the Destination field of the LogoutRequest, but the SingleLogoutService is not used when redirecting the browser to the IDP for the logout.

A workaround is to set the LogOutUrl configuration option in the `WEB-INF/picketlink.xml` file.

Comment 1 Brad Maxwell 2017-04-24 13:27:14 UTC
Deferring as there is a workaround


Note You need to log in before you can comment on or make changes to this bug.